export declare type PaymentCardSpec = {
    cardType?: string;
    checksumVerificationEnabled?: boolean;
    description?: string;
    image?: string;
    name?: string;
    numberLengths?: Array<string>;
    numberPrefixes?: Array<string>;
    securityCodeLength?: number;
};
export declare type OrderAddress = {
    address1?: string;
    address2?: string;
    city?: string;
    companyName?: string;
    countryCode?: string;
    firstName?: string;
    fullName?: string;
    id?: string;
    jobTitle?: string;
    lastName?: string;
    phone?: string;
    postBox?: string;
    postalCode?: string;
    salutation?: string;
    secondName?: string;
    stateCode?: string;
    suffix?: string;
    suite?: string;
    title?: string;
};
export declare type BasketsResult = {
    baskets: Array<object>;
    total: number;
};
export declare type PaymentCard = {
    cardType?: string;
    creditCardExpired?: boolean;
    creditCardToken?: string;
    expirationMonth?: number;
    expirationYear?: number;
    holder?: string;
    issueNumber?: string;
    maskedNumber?: string;
    numberLastDigits?: string;
    validFromMonth?: number;
    validFromYear?: number;
};
export declare type NotesResult = {
    notes?: Array<object>;
};
export declare type ShippingItem = {
    adjustedTax?: number;
    basePrice?: number;
    itemId?: string;
    itemText?: string;
    price?: number;
    priceAdjustments?: Array<object>;
    priceAfterItemDiscount?: number;
    shipmentId?: string;
    tax?: number;
    taxBasis?: number;
    taxClassId?: string;
    taxRate?: number;
};
export declare type Discount = {
    type: string;
    amount?: number;
    percentage?: number;
    priceBookId?: string;
};
export declare type Note = {
    createdBy?: string;
    creationDate?: any;
    id?: string;
    subject?: string;
    text?: string;
};
export declare type CouponItem = {
    code: string;
    couponItemId?: string;
    statusCode?: string;
    valid?: boolean;
};
export declare type PromotionLink = {
    calloutMsg?: string;
    name?: string;
    promotionId?: string;
    title?: string;
};
export declare type ShippingPromotion = {
    calloutMsg?: string;
    promotionId?: string;
    promotionName?: string;
};
export declare type ProductItem = {
    adjustedTax?: number;
    basePrice?: number;
    bonusDiscountLineItemId?: string;
    bonusProductLineItem?: boolean;
    bundledProductItems?: Array<any>;
    gift?: boolean;
    giftMessage?: string;
    inventoryId?: string;
    itemId?: string;
    itemText?: string;
    optionItems?: Array<object>;
    price?: number;
    priceAdjustments?: Array<object>;
    priceAfterItemDiscount?: number;
    priceAfterOrderDiscount?: number;
    productId?: string;
    productListItem?: object;
    productName?: string;
    quantity?: number;
    shipmentId?: string;
    shippingItemId?: string;
    tax?: number;
    taxBasis?: number;
    taxClassId?: string;
    taxRate?: number;
};
export declare type BasketPaymentInstrumentRequest = {
    amount?: number;
    bankRoutingNumber?: string;
    customerPaymentInstrumentId?: string;
    giftCertificateCode?: string;
    paymentBankAccount?: object;
    paymentCard?: object;
    paymentMethodId?: string;
};
export declare type OrderPaymentInstrument = {
    amount?: number;
    authorizationStatus?: object;
    bankRoutingNumber?: string;
    maskedGiftCertificateCode?: string;
    paymentBankAccount?: object;
    paymentCard?: object;
    paymentInstrumentId?: string;
    paymentMethodId?: string;
};
export declare type PaymentBankAccount = {
    driversLicenseLastDigits?: string;
    driversLicenseStateCode?: string;
    holder?: string;
    maskedDriversLicense?: string;
    maskedNumber?: string;
    numberLastDigits?: string;
};
export declare type BonusDiscountLineItem = {
    bonusProducts?: Array<object>;
    couponCode?: string;
    id?: string;
    maxBonusItems?: number;
    promotionId?: string;
};
export declare type PaymentMethodResult = {
    applicablePaymentMethods?: Array<object>;
};
export declare type Shipment = {
    adjustedMerchandizeTotalTax?: number;
    adjustedShippingTotalTax?: number;
    gift?: boolean;
    giftMessage?: string;
    merchandizeTotalTax?: number;
    productSubTotal?: number;
    productTotal?: number;
    shipmentId?: string;
    shipmentNo?: string;
    shipmentTotal?: number;
    shippingAddress?: object;
    shippingMethod?: object;
    shippingStatus?: string;
    shippingTotal?: number;
    shippingTotalTax?: number;
    taxTotal?: number;
    trackingNumber?: string;
};
export declare type CustomerInfo = {
    email: string;
    customerId?: string;
    customerName?: string;
    customerNo?: string;
};
export declare type SimpleLink = {};
export declare type PaymentBankAccountRequest = {
    driversLicense?: string;
    driversLicenseStateCode?: string;
    holder?: string;
    number?: string;
};
export declare type PriceAdjustment = {
    appliedDiscount?: object;
    couponCode?: string;
    createdBy?: string;
    creationDate?: any;
    custom?: boolean;
    itemText?: string;
    lastModified?: any;
    manual?: boolean;
    price?: number;
    priceAdjustmentId?: string;
    promotionId?: string;
    promotionLink?: string;
    reasonCode?: string;
};
export declare type ShippingMethodResult = {
    applicableShippingMethods?: Array<object>;
    defaultShippingMethodId?: string;
};
export declare type ProductDetailsLink = {
    productId: string;
    productDescription?: string;
    productName?: string;
    title?: string;
};
export declare type OptionItem = {
    optionId: string;
    optionValueId: string;
    adjustedTax?: number;
    basePrice?: number;
    bonusDiscountLineItemId?: string;
    bonusProductLineItem?: boolean;
    bundledProductItems?: Array<any>;
    gift?: boolean;
    giftMessage?: string;
    inventoryId?: string;
    itemId?: string;
    itemText?: string;
    optionItems?: Array<any>;
    price?: number;
    priceAdjustments?: Array<object>;
    priceAfterItemDiscount?: number;
    priceAfterOrderDiscount?: number;
    productId?: string;
    productListItem?: object;
    productName?: string;
    quantity?: number;
    shipmentId?: string;
    shippingItemId?: string;
    tax?: number;
    taxBasis?: number;
    taxClassId?: string;
    taxRate?: number;
};
export declare type ShippingMethod = {
    id: string;
    description?: string;
    externalShippingMethod?: string;
    name?: string;
    price?: number;
    shippingPromotions?: Array<object>;
};
export declare type Basket = {
    adjustedMerchandizeTotalTax?: number;
    adjustedShippingTotalTax?: number;
    agentBasket?: boolean;
    basketId?: string;
    billingAddress?: object;
    bonusDiscountLineItems?: Array<object>;
    channelType?: string;
    couponItems?: Array<object>;
    creationDate?: any;
    currency?: string;
    customerInfo?: object;
    giftCertificateItems?: Array<object>;
    inventoryReservationExpiry?: any;
    lastModified?: any;
    merchandizeTotalTax?: number;
    notes?: object;
    orderPriceAdjustments?: Array<object>;
    orderTotal?: number;
    paymentInstruments?: Array<object>;
    productItems?: Array<object>;
    productSubTotal?: number;
    productTotal?: number;
    shipments?: Array<object>;
    shippingItems?: Array<object>;
    shippingTotal?: number;
    shippingTotalTax?: number;
    sourceCode?: string;
    taxTotal?: number;
    taxation?: string;
};
export declare type OrderPaymentInstrumentRequest = {
    amount?: number;
    bankRoutingNumber?: string;
    createCustomerPaymentInstrument?: boolean;
    customerPaymentInstrumentId?: string;
    giftCertificateCode?: string;
    paymentBankAccount?: object;
    paymentCard?: object;
    paymentMethodId?: string;
};
export declare type GiftCertificateItem = {
    amount: number;
    recipientEmail: string;
    giftCertificateItemId?: string;
    message?: string;
    recipientName?: string;
    senderName?: string;
    shipmentId?: string;
};
export declare type ProductListLink = {
    description?: string;
    name?: string;
    public?: boolean;
    title?: string;
    type?: string;
};
export declare type Order = {
    adjustedMerchandizeTotalTax?: number;
    adjustedShippingTotalTax?: number;
    billingAddress?: object;
    bonusDiscountLineItems?: Array<object>;
    channelType?: string;
    confirmationStatus?: string;
    couponItems?: Array<object>;
    createdBy?: string;
    creationDate?: any;
    currency?: string;
    customerInfo?: object;
    customerName?: string;
    exportStatus?: string;
    externalOrderStatus?: string;
    giftCertificateItems?: Array<object>;
    globalPartyId?: string;
    lastModified?: any;
    merchandizeTotalTax?: number;
    notes?: object;
    orderNo?: string;
    orderPriceAdjustments?: Array<object>;
    orderToken?: string;
    orderTotal?: number;
    paymentInstruments?: Array<object>;
    paymentStatus?: string;
    productItems?: Array<object>;
    productSubTotal?: number;
    productTotal?: number;
    shipments?: Array<object>;
    shippingItems?: Array<object>;
    shippingStatus?: string;
    shippingTotal?: number;
    shippingTotalTax?: number;
    siteId?: string;
    sourceCode?: string;
    status?: string;
    taxTotal?: number;
    taxation?: string;
};
export declare type OrderPaymentCardRequest = {
    cardType?: string;
    creditCardToken?: string;
    expirationMonth?: number;
    expirationYear?: number;
    holder?: string;
    issueNumber?: string;
    number?: string;
    securityCode?: string;
    validFromMonth?: number;
    validFromYear?: number;
};
export declare type PaymentMethod = {
    id: string;
    cards?: Array<object>;
    description?: string;
    image?: string;
    name?: string;
    paymentProcessorId?: string;
};
export declare type Status = {
    code?: string;
    message?: string;
    status?: number;
};
export declare type ProductListItemReference = {
    id: string;
    priority?: number;
    productDetailsLink?: object;
    productList?: object;
    public?: boolean;
    purchasedQuantity?: number;
    quantity?: number;
    type?: string;
};
export declare type ErrorResponse = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type SiteId = {};
export declare type SearchRequest = {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    hits?: Array<object>;
    next?: object;
};
export declare type SimpleSearchResult = {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
//# sourceMappingURL=ShopperOrders.types.d.ts.map