export declare type SiteId = {};
export declare type SearchRequest = {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    hits?: Array<object>;
    next?: object;
};
export declare type SimpleSearchResult = {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type Error = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type CustomerAddress = {
    addressId: string;
    countryCode: string;
    lastName: string;
    address1?: string;
    address2?: string;
    city?: string;
    companyName?: string;
    creationDate?: any;
    etag?: string;
    firstName?: string;
    fullName?: string;
    jobTitle?: string;
    lastModified?: any;
    phone?: string;
    postBox?: string;
    postalCode?: string;
    salutation?: string;
    secondName?: string;
    stateCode?: string;
    suffix?: string;
    suite?: string;
    title?: string;
};
export declare type CustomerGroupSearchResult = {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    hits?: Array<object>;
    previous?: object;
    next?: object;
};
export declare type CustomerList = {
    id: string;
};
export declare type CustomerSearchHit = {
    data: object;
    relevance: number;
};
export declare type CustomerGroupMembers = {
    limit?: number;
    data?: Array<object>;
    offset?: number;
    total?: number;
};
export declare type Rule = {
    description: string;
};
export declare type CustomerGroup = {
    id: string;
    creationDate?: any;
    description?: string;
    inDeletion?: boolean;
    lastModified?: any;
    memberCount?: number;
    rule?: object;
    type?: string;
};
export declare type CustomerGroupMemberSearchResult = {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    hits?: Array<object>;
    previous?: object;
    next?: object;
};
export declare type CustomerAddressResult = {
    limit?: number;
    data?: Array<object>;
    offset?: number;
    total?: number;
};
export declare type Customer = {
    customerNo: string;
    lastName: string;
    birthday?: any;
    companyName?: string;
    creationDate?: any;
    credentials?: object;
    customerId?: string;
    email?: string;
    fax?: string;
    firstName?: string;
    gender?: number;
    jobTitle?: string;
    lastLoginTime?: any;
    lastModified?: any;
    lastVisitTime?: any;
    phoneBusiness?: string;
    phoneHome?: string;
    phoneMobile?: string;
    preferredLocale?: string;
    previousLoginTime?: any;
    previousVisitTime?: any;
    primaryAddress?: object;
    salutation?: string;
    secondName?: string;
    suffix?: string;
    title?: string;
};
export declare type CustomerGroupMember = {
    customerNo: string;
    lastName: string;
    active?: boolean;
    creationDate?: any;
    email?: string;
    firstName?: string;
    lastModified?: any;
    login?: string;
};
export declare type Credentials = {
    login: string;
    enabled?: boolean;
    locked?: boolean;
    passwordQuestion?: string;
};
export declare type CustomerSearchResult = {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    next?: object;
};
//# sourceMappingURL=Customers.types.d.ts.map