export declare type Error = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type SiteId = {};
export declare type SearchRequest = {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    hits?: Array<object>;
    next?: object;
};
export declare type SimpleSearchResult = {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type CustomerAddress = {
    addressId: string;
    countryCode: string;
    lastName: string;
    address1?: string;
    address2?: string;
    city?: string;
    companyName?: string;
    creationDate?: any;
    firstName?: string;
    fullName?: string;
    jobTitle?: string;
    lastModified?: any;
    phone?: string;
    postBox?: string;
    postalCode?: string;
    preferred?: boolean;
    salutation?: string;
    secondName?: string;
    stateCode?: string;
    suffix?: string;
    suite?: string;
    title?: string;
};
export declare type CustomerProductListResult = {
    count: number;
    data: Array<object>;
    total: number;
};
export declare type CustomerProductListItemPurchase = {
    id: string;
    orderNo: string;
    productListItemId: string;
    purchaserName: string;
    quantity: number;
};
export declare type OptionValue = {
    id: string;
    default?: boolean;
    name?: string;
    price?: number;
};
export declare type Master = {
    masterId: string;
    orderable?: boolean;
    price?: number;
    priceMax?: number;
    prices?: object;
};
export declare type OrderAddress = {
    address1: string;
    city: string;
    countryCode: string;
    firstName: string;
    lastName: string;
    postalCode: string;
    address2?: string;
    companyName?: string;
    fullName?: string;
    id?: string;
    jobTitle?: string;
    phone?: string;
    postBox?: string;
    salutation?: string;
    secondName?: string;
    stateCode?: string;
    suffix?: string;
    suite?: string;
    title?: string;
};
export declare type PublicProductListResult = {
    count: number;
    data: Array<object>;
    total: number;
};
export declare type BasketsResult = {
    baskets: Array<object>;
    total: number;
};
export declare type TrustedSystemAuthRequest = {
    clientId: string;
    login: string;
};
export declare type ResetPasswordRequest = {
    resetToken: string;
    login: string;
    newPassword: string;
};
export declare type PaymentCard = {
    cardType: string;
    creditCardExpired?: boolean;
    creditCardToken?: string;
    expirationMonth?: number;
    expirationYear?: number;
    holder?: string;
    issueNumber?: string;
    maskedNumber?: string;
    numberLastDigits?: string;
    validFromMonth?: number;
    validFromYear?: number;
};
export declare type ShippingItem = {
    adjustedTax: number;
    basePrice: number;
    itemId: string;
    itemText: string;
    price: number;
    priceAdjustments: Array<object>;
    priceAfterItemDiscount: number;
    shipmentId: string;
    tax: number;
    taxBasis: number;
    taxClassId: string;
    taxRate: number;
};
export declare type Discount = {
    type: string;
    amount?: number;
    percentage?: number;
    priceBookId?: string;
};
export declare type ResetPasswordToken = {
    login: string;
    email: string;
    resetToken: string;
    expiresInMinutes: number;
};
export declare type CouponItem = {
    code: string;
    couponItemId?: string;
    statusCode?: string;
    valid?: boolean;
};
export declare type CustomerPaymentInstrumentResult = {
    count: number;
    data: Array<object>;
    total: number;
};
export declare type ShippingPromotion = {
    calloutMsg: string;
    promotionId: string;
    promotionName: string;
};
export declare type VariationAttribute = {
    id: string;
    name?: string;
    values?: Array<object>;
};
export declare type ProductListShippingAddress = {
    addressId: string;
    city?: string;
    firstName?: string;
    lastName?: string;
};
export declare type ProductItem = {
    quantity: number;
    adjustedTax?: number;
    basePrice?: number;
    bonusDiscountLineItemId?: string;
    bonusProductLineItem?: boolean;
    bundledProductItems?: Array<any>;
    gift?: boolean;
    giftMessage?: string;
    inventoryId?: string;
    itemId?: string;
    itemText?: string;
    optionItems?: Array<object>;
    price?: number;
    priceAdjustments?: Array<object>;
    priceAfterItemDiscount?: number;
    priceAfterOrderDiscount?: number;
    productId?: string;
    productListItem?: object;
    productName?: string;
    shipmentId?: string;
    shippingItemId?: string;
    tax?: number;
    taxBasis?: number;
    taxClassId?: string;
    taxRate?: number;
};
export declare type CustomerProductListRegistrant = {
    email: string;
    firstName: string;
    lastName: string;
    role: string;
};
export declare type PublicProductListInfo = {
    id: string;
    title: string;
    type: string;
    description?: string;
    name?: string;
};
export declare type CustomerPaymentCardRequest = {
    cardType: string;
    expirationMonth: number;
    expirationYear: number;
    holder: string;
    issueNumber: string;
    number: string;
    validFromMonth: number;
    validFromYear: number;
    creditCardToken?: string;
};
export declare type RecommendationType = {
    displayValue: string;
    value: number;
};
export declare type OrderPaymentInstrument = {
    amount: number;
    authorizationStatus: object;
    bankRoutingNumber: string;
    maskedGiftCertificateCode: string;
    paymentBankAccount: object;
    paymentCard: object;
    paymentInstrumentId: string;
    paymentMethodId: string;
};
export declare type CustomerProductListItemResult = {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type ProductType = {
    bundle: boolean;
    item: boolean;
    master: boolean;
    option: boolean;
    set: boolean;
    variant: boolean;
    variationGroup: boolean;
};
export declare type PaymentBankAccount = {
    driversLicenseLastDigits?: string;
    driversLicenseStateCode?: string;
    holder?: string;
    maskedDriversLicense?: string;
    maskedNumber?: string;
    numberLastDigits?: string;
};
export declare type Recommendation = {
    recommendationType: object;
    calloutMsg?: string;
    image?: object;
    longDescription?: string;
    name?: string;
    recommendedItemId?: string;
    recommendedItemLink?: string;
    shortDescription?: string;
};
export declare type Variant = {
    productId: string;
    orderable?: boolean;
    price?: number;
    variationValues?: object;
};
export declare type BonusDiscountLineItem = {
    bonusProducts: Array<object>;
    couponCode: string;
    id: string;
    maxBonusItems: number;
    promotionId: string;
};
export declare type CustomerPaymentInstrument = {
    paymentBankAccount: object;
    paymentCard: object;
    paymentInstrumentId: string;
    paymentMethodId: string;
    bankRoutingNumber?: string;
    creationDate?: any;
    lastModified?: any;
    maskedGiftCertificateCode?: string;
};
export declare type Shipment = {
    shippingStatus: string;
    adjustedMerchandizeTotalTax?: number;
    adjustedShippingTotalTax?: number;
    gift?: boolean;
    giftMessage?: string;
    merchandizeTotalTax?: number;
    productSubTotal?: number;
    productTotal?: number;
    shipmentId?: string;
    shipmentNo?: string;
    shipmentTotal?: number;
    shippingAddress?: object;
    shippingMethod?: object;
    shippingTotal?: number;
    shippingTotalTax?: number;
    taxTotal?: number;
    trackingNumber?: string;
};
export declare type CustomerInfo = {
    customerNo: string;
    email: string;
    customerId?: string;
    customerName?: string;
};
export declare type VariationGroup = {
    orderable: boolean;
    price: number;
    productId: string;
    variationValues: object;
};
export declare type SimpleLink = {
    link: string;
};
export declare type PaymentBankAccountRequest = {
    driversLicense: string;
    driversLicenseStateCode: string;
    holder: string;
    number: string;
};
export declare type PriceAdjustment = {
    appliedDiscount: object;
    couponCode: string;
    createdBy: string;
    creationDate: any;
    custom: boolean;
    itemText: string;
    lastModified: any;
    manual: boolean;
    price: number;
    priceAdjustmentId: string;
    promotionId: string;
    promotionLink: string;
    reasonCode: string;
};
export declare type PublicProductListItem = {
    id: string;
    priority: number;
    type: string;
    product?: object;
};
export declare type ProductDetailsLink = {
    productId: string;
    productDescription?: string;
    productName?: string;
    title?: string;
};
export declare type ProductLink = {
    sourceProductId: string;
    sourceProductLink: string;
    targetProductId: string;
    targetProductLink: string;
    type: string;
};
export declare type OptionItem = {
    optionId: string;
    optionValueId: string;
    adjustedTax?: number;
    basePrice?: number;
    bonusDiscountLineItemId?: string;
    bonusProductLineItem?: boolean;
    bundledProductItems?: Array<any>;
    gift?: boolean;
    giftMessage?: string;
    inventoryId?: string;
    itemId?: string;
    itemText?: string;
    optionItems?: Array<any>;
    price?: number;
    priceAdjustments?: Array<object>;
    priceAfterItemDiscount?: number;
    priceAfterOrderDiscount?: number;
    productId?: string;
    productListItem?: object;
    productName?: string;
    quantity?: number;
    shipmentId?: string;
    shippingItemId?: string;
    tax?: number;
    taxBasis?: number;
    taxClassId?: string;
    taxRate?: number;
};
export declare type ShippingMethod = {
    id: string;
    description?: string;
    externalShippingMethod?: string;
    name?: string;
    price?: number;
    shippingPromotions?: Array<object>;
};
export declare type ProductListEvent = {
    type: string;
    city?: string;
    country?: string;
    date?: any;
    state?: string;
};
export declare type PasswordChangeRequest = {
    currentPassword: string;
    password: string;
};
export declare type AuthRequest = {
    type?: string;
};
export declare type Inventory = {
    id: string;
    ats?: number;
    backorderable?: boolean;
    inStockDate?: any;
    orderable?: boolean;
    preorderable?: boolean;
    stockLevel?: number;
};
export declare type CustomerProductList = {
    coRegistrant?: object;
    creationDate?: any;
    currentShippingAddressInfo?: object;
    customerProductListItems?: Array<object>;
    description?: string;
    event?: object;
    id?: string;
    lastModified?: any;
    name?: string;
    postEventShippingAddressInfo?: object;
    productListShippingAddress?: object;
    public?: boolean;
    registrant?: object;
    shippingAddressInfo?: object;
    type?: string;
};
export declare type Basket = {
    adjustedMerchandizeTotalTax: number;
    adjustedShippingTotalTax: number;
    agentBasket: boolean;
    basketId: string;
    billingAddress: object;
    bonusDiscountLineItems: Array<object>;
    channelType: string;
    couponItems: Array<object>;
    creationDate: any;
    currency: string;
    customerInfo: object;
    giftCertificateItems: Array<object>;
    inventoryReservationExpiry: any;
    lastModified: any;
    merchandizeTotalTax: number;
    notes: object;
    orderPriceAdjustments: Array<object>;
    orderTotal: number;
    paymentInstruments: Array<object>;
    productItems: Array<object>;
    productSubTotal: number;
    productTotal: number;
    shipments: Array<object>;
    shippingItems: Array<object>;
    shippingTotal: number;
    shippingTotalTax: number;
    sourceCode: string;
    taxTotal: number;
    taxation: string;
};
export declare type PublicProductListItemResult = {
    count: number;
    data: Array<object>;
    total: number;
};
export declare type CustomerPaymentInstrumentRequest = {
    bankRoutingNumber: string;
    giftCertificateCode: string;
    paymentCard: object;
    paymentMethodId: string;
    paymentBankAccount?: object;
};
export declare type ImageGroup = {
    images: Array<object>;
    viewType: string;
    variationAttributes?: Array<object>;
};
export declare type CustomerAddressResult = {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type CustomerProductListItemPurchaseResult = {
    count: number;
    data: Array<object>;
    total: number;
};
export declare type Customer = {
    addresses?: Array<object>;
    authType?: string;
    birthday?: any;
    companyName?: string;
    creationDate?: any;
    customerId?: string;
    customerNo?: string;
    email?: string;
    enabled?: boolean;
    fax?: string;
    firstName?: string;
    gender?: number;
    jobTitle?: string;
    lastLoginTime?: any;
    lastModified?: any;
    lastName?: string;
    lastVisitTime?: any;
    login?: string;
    note?: string;
    paymentInstruments?: Array<object>;
    phoneBusiness?: string;
    phoneHome?: string;
    phoneMobile?: string;
    preferredLocale?: string;
    previousLoginTime?: any;
    previousVisitTime?: any;
    salutation?: string;
    secondName?: string;
    suffix?: string;
    title?: string;
};
export declare type PublicProductList = {
    id: string;
    public: boolean;
    type: string;
    coRegistrant?: object;
    creationDate?: any;
    description?: string;
    event?: object;
    lastModified?: any;
    name?: string;
    productListItems?: Array<object>;
    productListShippingAddress?: object;
    registrant?: object;
};
export declare type Option = {
    id: string;
    description?: string;
    image?: string;
    name?: string;
    values?: Array<object>;
};
export declare type CustomerOrderResult = {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type GiftCertificateItem = {
    amount: number;
    recipientEmail: string;
    giftCertificateItemId?: string;
    message?: string;
    recipientName?: string;
    senderName?: string;
    shipmentId?: string;
};
export declare type CustomerAddressInfo = {
    addressId: string;
    title: string;
};
export declare type ResetPasswordTokenRequest = {
    login: string;
};
export declare type ProductListLink = {
    description: string;
    link: string;
    name: string;
    public: boolean;
    title: string;
    type: string;
};
export declare type ProductListRegistrant = {
    firstName: string;
    lastName: string;
    role: string;
};
export declare type Order = {
    confirmationStatus: string;
    exportStatus: string;
    paymentStatus: string;
    shippingStatus: string;
    status: string;
    adjustedMerchandizeTotalTax?: number;
    adjustedShippingTotalTax?: number;
    billingAddress?: object;
    bonusDiscountLineItems?: Array<object>;
    channelType?: string;
    couponItems?: Array<object>;
    createdBy?: string;
    creationDate?: any;
    currency?: string;
    customerInfo?: object;
    customerName?: string;
    externalOrderStatus?: string;
    giftCertificateItems?: Array<object>;
    globalPartyId?: string;
    lastModified?: any;
    merchandizeTotalTax?: number;
    notes?: object;
    orderNo?: string;
    orderPriceAdjustments?: Array<object>;
    orderToken?: string;
    orderTotal?: number;
    paymentInstruments?: Array<object>;
    productItems?: Array<object>;
    productSubTotal?: number;
    productTotal?: number;
    shipments?: Array<object>;
    shippingItems?: Array<object>;
    shippingTotal?: number;
    shippingTotalTax?: number;
    siteId?: string;
    sourceCode?: string;
    taxTotal?: number;
    taxation?: string;
};
export declare type Product = {
    id: string;
    brand?: string;
    bundledProducts?: Array<object>;
    currency?: string;
    ean?: string;
    fetchDate?: number;
    imageGroups?: Array<object>;
    inventories?: Array<object>;
    inventory?: object;
    longDescription?: string;
    manufacturerName?: string;
    manufacturerSku?: string;
    master?: object;
    minOrderQuantity?: number;
    name?: string;
    options?: Array<object>;
    pageDescription?: string;
    pageKeywords?: string;
    pageTitle?: string;
    price?: number;
    priceMax?: number;
    prices?: object;
    primaryCategoryId?: string;
    productLinks?: Array<object>;
    productPromotions?: Array<object>;
    recommendations?: Array<object>;
    setProducts?: Array<any>;
    shortDescription?: string;
    stepQuantity?: number;
    type?: object;
    unit?: string;
    upc?: string;
    validFrom?: any;
    validTo?: any;
    variants?: Array<object>;
    variationAttributes?: Array<object>;
    variationGroups?: Array<object>;
    variationValues?: object;
};
export declare type Image = {
    link: string;
    alt?: string;
    disBaseLink?: string;
    title?: string;
};
export declare type VariationAttributeValue = {
    value: string;
    description?: string;
    image?: object;
    imageSwatch?: object;
    name?: string;
    orderable?: boolean;
};
export declare type ProductPromotion = {
    calloutMsg: string;
    promotionId: string;
    promotionalPrice: number;
};
export declare type BundledProduct = {
    id: string;
    product: any;
    quantity: number;
};
export declare type Status = {
    code: string;
    message: string;
    status: number;
};
export declare type CustomerProductListItem = {
    priority: number;
    public: boolean;
    quantity: number;
    id?: string;
    product?: object;
    productId?: string;
    purchasedQuantity?: number;
    type?: string;
};
export declare type ProductListItemReference = {
    id: string;
    priority?: number;
    productList?: object;
    public?: boolean;
    purchasedQuantity?: number;
    quantity?: number;
    type?: string;
};
//# sourceMappingURL=ShopperCustomers.types.d.ts.map