import { BaseClient, BaseClientConfig } from "@commerce-apps/core";
import { PromotionCampaignAssignmentSearchResult } from "./Assignments.types";
export { SiteId, SearchRequest, PaginatedSearchResult, SimpleSearchResult, ErrorResponse, Offset, Limit, TimeOfDay, Campaign, PromotionCampaignAssignment, Tag, Promotion, PromotionAssignmentInformation, Schedule, PromotionCampaignAssignmentSearchResult, Recurrence, PromotionAbtestGroupAssignment, } from "./Assignments.types";
declare type ClientConfig = BaseClientConfig & {
    baseUriParameters?: {
        "shortCode": string;
        "version": string;
    };
};
export declare class Client extends BaseClient {
    constructor(config: ClientConfig);
    /**
    * searches for promotion campaign assignments.

The promotioncampaignassignment search document contains a search object that allows filtering on various attributes.

The query attribute specifies a complex query that can be used to narrow down the search. attributes are grouped\n into different buckets.  these are the list of searchable attributes with their corresponding buckets:
  
   main:
     
          rank - integer
          startDate - date
          endDate - date
                    
          campaign:
            
            campaignId - string
            
          promotion:
              
            promotionId - string
            description - string
            enabled - boolean
            
          special handling:
            
          couponId - string
          
          
          only fields in the same bucket can be joined using a disjunction (or). for instance, when joining campaignId and rank above, only a conjunction is allowed (and), whereas promotionId                    and description can be joined to each other using an or because they are in the same bucket.  special handling fields must always use\n conjunctions. if the field is used in a      disjunction (or) that violates this rule, an exception will be thrown.
          
          expands that can be applied for the search request
          
          promotion
          campaign
         
         note that only searchable attributes (excluding the ones marked with above with an asterisk) can be used in sorting.
    */
    postSitesByIdPromotionCampaignAssignmentSearch(options: {
        parameters?: {
            organizationId: any;
            siteId: any;
        };
        headers?: {
            [key: string]: string;
        };
        body: object;
    }): Promise<Response | PromotionCampaignAssignmentSearchResult>;
}
export default Client;
export { ClientConfig };
//# sourceMappingURL=Assignments.d.ts.map