export declare type SiteId = {};
export declare type SearchRequest = {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    hits?: Array<object>;
    next?: object;
};
export declare type SimpleSearchResult = {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type ErrorResponse = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type TimeOfDay = {
    timeFrom: string;
    timeTo: string;
};
export declare type Campaign = {
    campaignId: string;
    coupons?: Array<string>;
    creationDate?: any;
    customerGroups?: Array<string>;
    description?: string;
    enabled?: boolean;
    endDate?: any;
    lastModified?: any;
    sourceCodeGroups?: Array<string>;
    startDate?: any;
};
export declare type PromotionCampaignAssignment = {
    campaign: object;
    campaignId: string;
    coupons: Array<string>;
    customerGroups: Array<string>;
    description: string;
    enabled: boolean;
    promotion: object;
    promotionId: string;
    rank: number;
    schedule: object;
    sourceCodeGroups: Array<string>;
};
export declare type Tag = {
    tagId: string;
};
export declare type Promotion = {
    exclusivity: string;
    id: string;
    archived?: boolean;
    assignmentInformation?: object;
    creationDate?: any;
    currencyCode?: string;
    disableGloballyExcluded?: boolean;
    enabled?: boolean;
    lastModified?: any;
    name?: object;
    promotionClass?: string;
    tags?: Array<object>;
};
export declare type PromotionAssignmentInformation = {
    abtestId: string;
    abtestSegmentId: string;
    active: boolean;
    activeAbtestAssignments: Array<object>;
    activeCampaignAssignments: Array<any>;
    campaignId: string;
    enabled: boolean;
    endDate: any;
    schedule: object;
    scheduleType: string;
    startDate: any;
    upcomingAbtestAssignments: Array<object>;
    upcomingCampaignAssignments: Array<any>;
};
export declare type Schedule = {
    endDate: any;
    recurrence: object;
    startDate: any;
};
export declare type PromotionCampaignAssignmentSearchResult = {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    next?: object;
};
export declare type Recurrence = {
    dayOfWeek: Array<string>;
    timeOfDay: object;
};
export declare type PromotionAbtestGroupAssignment = {
    abtestDescription: string;
    abtestId: string;
    enabled: boolean;
    schedule: object;
    segmentDescription: string;
    segmentId: string;
};
//# sourceMappingURL=Assignments.types.d.ts.map