export declare type SiteId = {};
export declare type SearchRequest = {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    hits?: Array<object>;
    next?: object;
};
export declare type SimpleSearchResult = {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type ErrorResponse = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type CouponRedemptionSearchResult = {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    next?: object;
};
export declare type CouponCodes = {
    data: Array<object>;
    total: number;
    limit?: number;
    offset?: number;
};
export declare type RedemptionLimits = {
    limitPerCode: number;
    limitPerCustomer: number;
    limitPerTimeFrame: object;
};
export declare type CouponRedemption = {
    code: string;
    couponId: string;
    creationDate: any;
    customerEmail: string;
    orderNo: string;
    viewOrderUrl: string;
};
export declare type RedemptionLimitPerPeriod = {
    limit: number;
    redemptionTimeFrame: number;
};
export declare type CouponCode = {
    code: string;
    issued: boolean;
    redemptionCount: number;
};
export declare type CouponSearchResult = {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    next?: object;
};
export declare type Coupon = {
    couponId: string;
    enabled: boolean;
    type: string;
    creationDate?: any;
    description?: string;
    exportedCodeCount?: number;
    lastModified?: any;
    redemptionCount?: number;
    redemptionLimits?: object;
    singleCode?: string;
    systemCodesConfig?: object;
    totalCodesCount?: number;
};
export declare type CouponMultiCodesRequest = {
    codes: Array<string>;
};
export declare type CouponSystemCodeConfig = {
    codePrefix: string;
    numberOfCodes: number;
};
//# sourceMappingURL=CouponManagementApi.types.d.ts.map