export declare type ErrorResponse = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Offset = {};
export declare type Limit = {};
export declare type SiteId = {};
export declare type SearchRequest = {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    hits?: Array<object>;
    next?: object;
};
export declare type SimpleSearchResult = {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type PromotionSearchResult = {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    next?: object;
};
export declare type TimeOfDay = {
    timeFrom: string;
    timeTo: string;
};
export declare type Campaign = {
    campaignId: string;
    coupons?: Array<string>;
    creationDate?: any;
    customerGroups?: Array<string>;
    description?: string;
    enabled?: boolean;
    endDate?: any;
    lastModified?: any;
    sourceCodeGroups?: Array<string>;
    startDate?: any;
};
export declare type PromotionCampaignAssignment = {
    campaignId: string;
    description: string;
    enabled: boolean;
    promotionId: string;
    schedule: object;
    campaign?: object;
    coupons?: Array<string>;
    customerGroups?: Array<string>;
    promotion?: any;
    rank?: number;
    sourceCodeGroups?: Array<string>;
};
export declare type Tag = {
    tagId: string;
};
export declare type Promotion = {
    archived?: boolean;
    assignmentInformation?: object;
    creationDate?: any;
    currencyCode?: string;
    disableGloballyExcluded?: boolean;
    enabled?: boolean;
    exclusivity?: string;
    id?: string;
    lastModified?: any;
    name?: object;
    promotionClass?: string;
    tags?: Array<object>;
    siteId?: string;
};
export declare type PromotionAssignmentInformation = {
    active: boolean;
    activeCampaignAssignments: Array<object>;
    campaignId: string;
    enabled: boolean;
    schedule: object;
    scheduleType: string;
    abtestId?: string;
    abtestSegmentId?: string;
    activeAbtestAssignments?: Array<object>;
    endDate?: any;
    startDate?: any;
    upcomingAbtestAssignments?: Array<object>;
    upcomingCampaignAssignments?: Array<object>;
};
export declare type Schedule = {
    endDate?: any;
    recurrence?: object;
    startDate?: any;
};
export declare type Recurrence = {
    dayOfWeek: Array<string>;
    timeOfDay: object;
};
export declare type PromotionAbtestGroupAssignment = {
    abtestDescription: string;
    abtestId: string;
    enabled: boolean;
    schedule: object;
    segmentDescription: string;
    segmentId: string;
};
//# sourceMappingURL=Promotions.types.d.ts.map