export declare type SiteId = {};
export declare type SearchRequest = {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    hits?: Array<object>;
    next?: object;
};
export declare type SimpleSearchResult = {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type Error = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type Money = {
    currencyMnemonic: string;
    value: number;
};
export declare type Variants = {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type ProductOption = {
    id: string;
    customName?: object;
    defaultProductOptionValue?: string;
    description?: object;
    image?: object;
    name?: string;
    selectedOptionValue?: string;
    shared?: boolean;
    sortingMode?: string;
    values?: Array<object>;
};
export declare type Master = {
    masterId: string;
    orderable?: boolean;
    price?: number;
    priceMax?: number;
    prices?: object;
};
export declare type VariantSearchResult = {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    next?: object;
};
export declare type VariationAttribute = {
    attributeDefinitionId: string;
    attributeDefinitionName?: object;
    defaultValue?: string;
    id?: string;
    name?: object;
    shared?: boolean;
    slicing?: boolean;
    values?: Array<object>;
    variationAttributeType?: string;
};
export declare type CatalogCategoryId = {
    catalogId: string;
    categoryId: string;
};
export declare type ProductType = {
    master: boolean;
    bundle?: boolean;
    bundled?: boolean;
    item?: boolean;
    option?: boolean;
    partOfProductSet?: boolean;
    partOfRetailSet?: boolean;
    retailSet?: boolean;
    set?: boolean;
    variant?: boolean;
    variationGroup?: boolean;
};
export declare type Variant = {
    productId: string;
    ats?: number;
    defaultProductVariation?: boolean;
    image?: object;
    inStock?: boolean;
    online?: boolean;
    orderable?: boolean;
    price?: number;
    priceCurrency?: string;
    searchable?: object;
    variationAttributes?: Array<object>;
    variationValues?: object;
};
export declare type VariationGroup = {
    productId: string;
    orderable?: boolean;
    price?: number;
    variationValues?: object;
};
export declare type ProductOptionValue = {
    id: string;
    value: object;
    defaultProductOptionValue?: boolean;
    optionPrices?: Array<object>;
    skuExtension?: string;
};
export declare type VariationAttributes = {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type MarkupText = {
    markup: string;
    source: string;
};
export declare type ImageGroup = {
    images: Array<object>;
    viewType: string;
    variationAttributes?: Array<object>;
};
export declare type MediaFile = {
    path: string;
    absUrl?: string;
    alt?: object;
    disBaseUrl?: string;
    title?: object;
};
export declare type VariationAttributeValues = {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type ProductSearchResult = {
    hits: Array<object>;
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    next?: object;
};
export declare type ProductOptions = {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type Product = {
    id: string;
    assignedCategories?: Array<object>;
    ats?: number;
    brand?: string;
    bundledProducts?: Array<any>;
    creationDate?: any;
    defaultVariantId?: string;
    ean?: string;
    image?: object;
    imageGroups?: Array<object>;
    inStock?: boolean;
    lastModified?: any;
    longDescription?: object;
    manufacturerName?: string;
    manufacturerSku?: string;
    master?: object;
    name?: object;
    online?: boolean;
    onlineFlag?: object;
    owningCatalogId?: string;
    owningCatalogName?: object;
    pageDescription?: object;
    pageKeywords?: object;
    pageTitle?: object;
    price?: number;
    priceCurrency?: string;
    primaryCategoryId?: string;
    productBundles?: Array<any>;
    productOptions?: Array<object>;
    productSets?: Array<any>;
    searchable?: object;
    setProducts?: Array<any>;
    shortDescription?: object;
    type?: object;
    unit?: string;
    upc?: string;
    variants?: Array<object>;
    variationAttributes?: Array<object>;
    variationGroups?: Array<object>;
    variationValues?: object;
};
export declare type VariationAttributeValue = {
    value: string;
    description?: object;
    image?: object;
    imageSwatch?: object;
    name?: object;
    orderable?: boolean;
    position?: number;
};
export declare type ProductOptionValues = {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
export declare type VariationGroups = {
    limit: number;
    data: Array<object>;
    offset: number;
    total: number;
};
//# sourceMappingURL=Products.types.d.ts.map