export declare type SiteId = {};
export declare type SearchRequest = {
    query: any;
    limit?: number;
    sorts?: Array<object>;
    offset?: number;
};
export declare type PaginatedSearchResult = {
    query: any;
    limit: number;
    offset: number;
    total: number;
    sorts?: Array<object>;
    previous?: object;
    hits?: Array<object>;
    next?: object;
};
export declare type SimpleSearchResult = {
    limit: number;
    offset: number;
    total: number;
    hits?: Array<object>;
};
export declare type Error = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
};
export declare type OptionValue = {
    id: string;
    default?: boolean;
    name?: string;
    price?: number;
};
export declare type Master = {
    masterId: string;
    orderable?: boolean;
    price?: number;
    priceMax?: number;
    prices?: object;
};
export declare type Category = {
    id: string;
    categories?: Array<any>;
    description?: string;
    image?: string;
    name?: string;
    pageDescription?: string;
    pageKeywords?: string;
    pageTitle?: string;
    parentCategoryId?: string;
    thumbnail?: string;
};
export declare type CategoryResult = {
    limit: number;
    data: Array<object>;
    total: number;
};
export declare type VariationAttribute = {
    id: string;
    name?: string;
    values?: Array<object>;
};
export declare type RecommendationType = {
    displayValue: string;
    value: number;
};
export declare type ProductType = {
    bundle?: boolean;
    item?: boolean;
    master?: boolean;
    option?: boolean;
    set?: boolean;
    variant?: boolean;
    variationGroup?: boolean;
};
export declare type Recommendation = {
    recommendationType: object;
    calloutMsg?: string;
    image?: object;
    longDescription?: string;
    name?: string;
    recommendedItemId?: string;
    shortDescription?: string;
};
export declare type Variant = {
    productId: string;
    orderable?: boolean;
    price?: number;
    variationValues?: object;
};
export declare type VariationGroup = {
    orderable: boolean;
    price: number;
    productId: string;
    variationValues: object;
};
export declare type ProductResult = {
    limit: number;
    data: Array<object>;
    total: number;
};
export declare type ProductLink = {
    sourceProductId: string;
    sourceProductLink: string;
    targetProductId: string;
    targetProductLink: string;
    type: string;
};
export declare type Inventory = {
    id: string;
    ats?: number;
    backorderable?: boolean;
    inStockDate?: any;
    orderable?: boolean;
    preorderable?: boolean;
    stockLevel?: number;
};
export declare type ImageGroup = {
    images: Array<object>;
    viewType: string;
    variationAttributes?: Array<object>;
};
export declare type Option = {
    id: string;
    description?: string;
    image?: string;
    name?: string;
    values?: Array<object>;
};
export declare type Product = {
    id: string;
    brand?: string;
    bundledProducts?: Array<object>;
    currency?: string;
    ean?: string;
    fetchDate?: number;
    imageGroups?: Array<object>;
    inventories?: Array<object>;
    inventory?: object;
    longDescription?: string;
    manufacturerName?: string;
    manufacturerSku?: string;
    master?: object;
    minOrderQuantity?: number;
    name?: string;
    options?: Array<object>;
    pageDescription?: string;
    pageKeywords?: string;
    pageTitle?: string;
    price?: number;
    priceMax?: number;
    prices?: object;
    primaryCategoryId?: string;
    productLinks?: Array<object>;
    productPromotions?: Array<object>;
    recommendations?: Array<object>;
    setProducts?: Array<any>;
    shortDescription?: string;
    stepQuantity?: number;
    type?: object;
    unit?: string;
    upc?: string;
    validFrom?: any;
    validTo?: any;
    variants?: Array<object>;
    variationAttributes?: Array<object>;
    variationGroups?: Array<object>;
    variationValues?: object;
};
export declare type Image = {
    link: string;
    alt?: string;
    disBaseLink?: string;
    title?: string;
};
export declare type VariationAttributeValue = {
    value: string;
    description?: string;
    image?: object;
    imageSwatch?: object;
    name?: string;
    orderable?: boolean;
};
export declare type ProductPromotion = {
    calloutMsg: string;
    promotionId: string;
    promotionalPrice: number;
};
export declare type BundledProduct = {
    id: string;
    product: any;
    quantity: number;
};
//# sourceMappingURL=ShopperProducts.types.d.ts.map